Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.businessobjects
Class Role

    java.lang.Object
      com.autonomy.aci.businessobjects.AciBusinessObject
          com.autonomy.aci.businessobjects.Role

All Implemented Interfaces:
  java.io.Serializable

public class Role
extends AciBusinessObject

Represents a Role set on IDOL.

Title: ACI Services API

Description: A high level API for working with Autonomy ACI servers.

Copyright: Copyright (c) 2003

Company: Autonomy Systems Ltd

Version:
  1.0
Author:
  Antoine Jeanson
See Also:
  Serialized Form

Constructor Summary
`Role()` Construct a role with no name.
`Role(java.lang.String sRolename)` Construct a role with the given name.

Method Summary
`boolean` | `equals(java.lang.Object o)` Two roles are equals if their names are the same (case-insensitive).
`java.lang.String` | `getRolename()` Read the name of this role.
`void` | `setRolename(java.lang.String sRolename)` Set the name of this role.
`java.lang.String` | `toString()`

Methods inherited from class com.autonomy.aci.businessobjects.AciBusinessObject
`getUID, setUID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Role

    public Role()

  Construct a role with no name.

### Role

    public Role(java.lang.String sRolename)

  Construct a role with the given name.

Parameters:
  `sRolename` - the name of the role.

Method Detail

### setRolename

    public void setRolename(java.lang.String sRolename)

  Set the name of this role.

  Parameters:
    `sRolename` - the name of the role.

### getRolename

    public java.lang.String getRolename()

  Read the name of this role.

### toString

    public java.lang.String toString()

### equals

    public boolean equals(java.lang.Object o)

  Two roles are equals if their names are the same (case-insensitive).

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD